package net.northking.cctp.common.persistence;


import net.northking.cctp.common.persistence.rule.IdentityRule;

import javax.persistence.Id;
import javax.persistence.MappedSuperclass;
import java.io.Serializable;

/**
 * 主键实体基类
 *
 * @author xiusong.xie
 * @since 2.4
 */
@MappedSuperclass
public abstract class IDEntity implements IdentityRule, Serializable, Cloneable
{
  /**
   * 主键
   */
  @Id
  private String id;

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }
}
